package com.chinaitop.depot.intelligent.basicdata.service.impl;

import com.chinaitop.depot.intelligent.basicdata.mapper.TUrlConfigMapper;
import com.chinaitop.depot.intelligent.basicdata.model.TUrlConfig;
import com.chinaitop.depot.intelligent.basicdata.model.TUrlConfigExample;
import com.chinaitop.depot.intelligent.basicdata.service.TUrlConfigService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class TUrlConfigServicelmpl implements TUrlConfigService {

    @Resource
    private TUrlConfigMapper mapper;

    @Override
    public String getDepotUrl(String orgId) {
        String intranetUrl = null;
        TUrlConfigExample example = new TUrlConfigExample();
        TUrlConfigExample.Criteria criteria = example.createCriteria();
        criteria.andUserTypeEqualTo("1").andOrgIdEqualTo(orgId);
        List<TUrlConfig> tUrlConfigs = mapper.selectByExample(example);
        if (tUrlConfigs.size() > 0) {
            intranetUrl = tUrlConfigs.get(0).getIntranetUrl();
        }
        return intranetUrl;
    }
}
