package com.chinaitop.depot.intelligent.grainsituation.model;

/**
 * @author qingsong.han
 * @description: 测温设备返回源数据(获取带标杆号温度表格)
 * @create 2020-05-25 15:56
 */
public class TempMetadata {
    // 温度
    private float temp;
    // 列号
    private String x;
    // 行号
    private String y;
    // 层号
    private String z;
    // 标杆号
    private int marking;

    public int getMarking() {
        return marking;
    }

    public void setMarking(int marking) {
        this.marking = marking;
    }

    public float getTemp() {
        return temp;
    }

    public void setTemp(float temp) {
        this.temp = temp;
    }

    public String getX() {
        return x;
    }

    public void setX(String x) {
        this.x = x;
    }

    public String getY() {
        return y;
    }

    public void setY(String y) {
        this.y = y;
    }

    public String getZ() {
        return z;
    }

    public void setZ(String z) {
        this.z = z;
    }
}
