package com.chinaitop.depot.intelligent.levelDetection.mapper;

import com.chinaitop.depot.intelligent.levelDetection.model.TLevel;
import com.chinaitop.depot.intelligent.levelDetection.model.TLevelExample;
import org.apache.ibatis.annotations.Param;

import java.util.ArrayList;
import java.util.List;

public interface TLevelMapper {
    int countByExample(TLevelExample example);

    int deleteByExample(TLevelExample example);

    int deleteByPrimaryKey(String id);

    int insert(TLevel record);

    int insertSelective(TLevel record);

    List<TLevel> selectByExample(TLevelExample example);

    TLevel selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TLevel record, @Param("example") TLevelExample example);

    int updateByExample(@Param("record") TLevel record, @Param("example") TLevelExample example);

    int updateByPrimaryKeySelective(TLevel record);

    int updateByPrimaryKey(TLevel record);

	void insertBatch(ArrayList<TLevel> tLevels);

    /**
     * 液位时实数据查询,只查询最新的一次检测数据
     * @param vCfCode
     * @return
     */
    List<TLevel> getLevelRealPageInfo(@Param("vCfCode") String vCfCode);
}