package com.chinaitop.depot.intelligent.oilTemperatureDetection.model;

import java.math.BigDecimal;
import java.util.Date;

public class TOiltank {
    private String id;

    private String orgId;

    private String oiltankCode;

    private Date tTime;

    private BigDecimal tOuth;

    private BigDecimal tVct1;

    private BigDecimal tVct2;

    private BigDecimal tVct3;

    private BigDecimal tMax;

    private BigDecimal tMin;

    private BigDecimal tAvg;

    private String dataSource;

    private String spare1;

    private String spare2;

    private Date updatetime;

    /**
     * 油温表id
     * @return id 油温表id
     */
    public String getId() {
        return id;
    }

    /**
     * 油温表id
     * @param id 油温表id
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 组织code
     * @return org_id 组织code
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 组织code
     * @param orgId 组织code
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

    /**
     * 油罐code
     * @return oiltank_code 油罐code
     */
    public String getOiltankCode() {
        return oiltankCode;
    }

    /**
     * 油罐code
     * @param oiltankCode 油罐code
     */
    public void setOiltankCode(String oiltankCode) {
        this.oiltankCode = oiltankCode == null ? null : oiltankCode.trim();
    }

    /**
     * 检测时间
     * @return t_time 检测时间
     */
    public Date gettTime() {
        return tTime;
    }

    /**
     * 检测时间
     * @param tTime 检测时间
     */
    public void settTime(Date tTime) {
        this.tTime = tTime;
    }

    /**
     * 油罐外温
     * @return t_outh 油罐外温
     */
    public BigDecimal gettOuth() {
        return tOuth;
    }

    /**
     * 油罐外温
     * @param tOuth 油罐外温
     */
    public void settOuth(BigDecimal tOuth) {
        this.tOuth = tOuth;
    }

    /**
     * 检测点1
     * @return t_vct1 检测点1
     */
    public BigDecimal gettVct1() {
        return tVct1;
    }

    /**
     * 检测点1
     * @param tVct1 检测点1
     */
    public void settVct1(BigDecimal tVct1) {
        this.tVct1 = tVct1;
    }

    /**
     * 检测点2
     * @return t_vct2 检测点2
     */
    public BigDecimal gettVct2() {
        return tVct2;
    }

    /**
     * 检测点2
     * @param tVct2 检测点2
     */
    public void settVct2(BigDecimal tVct2) {
        this.tVct2 = tVct2;
    }

    /**
     * 检测点3
     * @return t_vct3 检测点3
     */
    public BigDecimal gettVct3() {
        return tVct3;
    }

    /**
     * 检测点3
     * @param tVct3 检测点3
     */
    public void settVct3(BigDecimal tVct3) {
        this.tVct3 = tVct3;
    }

    /**
     * 最高温
     * @return t_max 最高温
     */
    public BigDecimal gettMax() {
        return tMax;
    }

    /**
     * 最高温
     * @param tMax 最高温
     */
    public void settMax(BigDecimal tMax) {
        this.tMax = tMax;
    }

    /**
     * 最低温
     * @return t_min 最低温
     */
    public BigDecimal gettMin() {
        return tMin;
    }

    /**
     * 最低温
     * @param tMin 最低温
     */
    public void settMin(BigDecimal tMin) {
        this.tMin = tMin;
    }

    /**
     * 平均温
     * @return t_avg 平均温
     */
    public BigDecimal gettAvg() {
        return tAvg;
    }

    /**
     * 平均温
     * @param tAvg 平均温
     */
    public void settAvg(BigDecimal tAvg) {
        this.tAvg = tAvg;
    }

    /**
     * 源数据
     * @return data_source 源数据
     */
    public String getDataSource() {
        return dataSource;
    }

    /**
     * 源数据
     * @param dataSource 源数据
     */
    public void setDataSource(String dataSource) {
        this.dataSource = dataSource == null ? null : dataSource.trim();
    }

    /**
     * 备用字段1
     * @return spare1 备用字段1
     */
    public String getSpare1() {
        return spare1;
    }

    /**
     * 备用字段1
     * @param spare1 备用字段1
     */
    public void setSpare1(String spare1) {
        this.spare1 = spare1 == null ? null : spare1.trim();
    }

    /**
     * 备用字段2
     * @return spare2 备用字段2
     */
    public String getSpare2() {
        return spare2;
    }

    /**
     * 备用字段2
     * @param spare2 备用字段2
     */
    public void setSpare2(String spare2) {
        this.spare2 = spare2 == null ? null : spare2.trim();
    }

    /**
     *
     * @return updatetime
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     *
     * @param updatetime
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }
}