package com.chinaitop.depot.intelligent.basicdata.model;

import java.util.Date;

public class TUrlConfig {
    private String id;

    private String orgId;

    private String intranetUrl;

    private String extranetUrl;

    private Date time;

    private String people;

    private String remark;

    private String userType;

    private Date updatetime;

    /**
     * 调用id生成规则接口
     * @return id 调用id生成规则接口
     */
    public String getId() {
        return id;
    }

    /**
     * 调用id生成规则接口
     * @param id 调用id生成规则接口
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 
     * @return org_id 
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 
     * @param orgId 
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

    /**
     * 内网ip
     * @return intranet_url 内网ip
     */
    public String getIntranetUrl() {
        return intranetUrl;
    }

    /**
     * 内网ip
     * @param intranetUrl 内网ip
     */
    public void setIntranetUrl(String intranetUrl) {
        this.intranetUrl = intranetUrl == null ? null : intranetUrl.trim();
    }

    /**
     * 外网url
     * @return extranet_url 外网url
     */
    public String getExtranetUrl() {
        return extranetUrl;
    }

    /**
     * 外网url
     * @param extranetUrl 外网url
     */
    public void setExtranetUrl(String extranetUrl) {
        this.extranetUrl = extranetUrl == null ? null : extranetUrl.trim();
    }

    /**
     * 创建时间
     * @return time 创建时间
     */
    public Date getTime() {
        return time;
    }

    /**
     * 创建时间
     * @param time 创建时间
     */
    public void setTime(Date time) {
        this.time = time;
    }

    /**
     * 创建人
     * @return people 创建人
     */
    public String getPeople() {
        return people;
    }

    /**
     * 创建人
     * @param people 创建人
     */
    public void setPeople(String people) {
        this.people = people == null ? null : people.trim();
    }

    /**
     * 备注
     * @return remark 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark 备注
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**
     * 使用类型：1库级 2出入库
     * @return user_type 使用类型：1库级 2出入库
     */
    public String getUserType() {
        return userType;
    }

    /**
     * 使用类型：1库级 2出入库
     * @param userType 使用类型：1库级 2出入库
     */
    public void setUserType(String userType) {
        this.userType = userType == null ? null : userType.trim();
    }

    /**
     * 
     * @return updatetime 
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 
     * @param updatetime 
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }
}