package com.chinaitop.depot.intelligent.grainsituation.mapper;

import com.chinaitop.depot.intelligent.grainsituation.model.TTestdata;
import com.chinaitop.depot.intelligent.grainsituation.model.TTestdataExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface TTestdataMapper {
    int countByExample(TTestdataExample example);

    int deleteByExample(TTestdataExample example);

    int insert(TTestdata record);

    int insertSelective(TTestdata record);

    List<TTestdata> selectByExampleWithBLOBs(TTestdataExample example);

    List<TTestdata> selectByExample(TTestdataExample example);

    int updateByExampleSelective(@Param("record") TTestdata record, @Param("example") TTestdataExample example);

    int updateByExampleWithBLOBs(@Param("record") TTestdata record, @Param("example") TTestdataExample example);

    int updateByExample(@Param("record") TTestdata record, @Param("example") TTestdataExample example);

    void insertBatch(List<TTestdata> testData);

    List<TTestdata> getList(Map map);

    List<TTestdata> getByCfCdoes(Map<String, Object> mapDate);

    /**
     * 时实数据查询列表,查询最新数据
     * @param map
     * @return
     */
    List<TTestdata> getNewest(Map<String, Object> map);

    List<TTestdata> getById(@Param("id") String id);

    String getOrgId (@Param("cfCode") String cfCode);

    /**
     * 点粮情
     * @param map
     * @return
     */
    List<Map<String,Object>> getGrainPointAll(Map<String, Object> map);

    /**
     * 查询油罐基础信息获取orgId
     * @param cfCode
     * @return
     */
    String getTankOrgId(@Param("cfCode") String cfCode);

    /**
     * 根据仓号和检测时间获取带标杆号温度表格
     * @param id
     */
    String findByTempTable(@Param("id") String id);

    /**
     * 要求修改为->温湿度检测只显示当天数据,按仓房排序
     * @param sMap
     * @return
     */
    List<TTestdata> selectByMap(Map<String, Object> sMap);

    List<TTestdata> selectByMapHistory(Map<String, Object> sMap);

    TTestdata selectById(String id);
}