package com.chinaitop.depot.intelligent.levelDetection.model;

import java.math.BigDecimal;
import java.util.Date;

public class TLevel {
    private String id;

    private String orgId;

    private String oiltankCode;

    private Date tTime;

    private BigDecimal tCurrent;

    private BigDecimal tMax;

    private BigDecimal tMin;

    private String ifLimit;

    private String dataSource;

    private String spare1;

    private String spare2;

    private Date updatetime;

    /**
     * 液位检测表id
     * @return id 液位检测表id
     */
    public String getId() {
        return id;
    }

    /**
     * 液位检测表id
     * @param id 液位检测表id
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 组织编码
     * @return org_id 组织编码
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 组织编码
     * @param orgId 组织编码
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

    /**
     * 油罐编码
     * @return oiltank_code 油罐编码
     */
    public String getOiltankCode() {
        return oiltankCode;
    }

    /**
     * 油罐编码
     * @param oiltankCode 油罐编码
     */
    public void setOiltankCode(String oiltankCode) {
        this.oiltankCode = oiltankCode == null ? null : oiltankCode.trim();
    }

    /**
     * 检测时间
     * @return t_time 检测时间
     */
    public Date gettTime() {
        return tTime;
    }

    /**
     * 检测时间
     * @param tTime 检测时间
     */
    public void settTime(Date tTime) {
        this.tTime = tTime;
    }

    /**
     * 当前液位
     * @return t_current 当前液位
     */
    public BigDecimal gettCurrent() {
        return tCurrent;
    }

    /**
     * 当前液位
     * @param tCurrent 当前液位
     */
    public void settCurrent(BigDecimal tCurrent) {
        this.tCurrent = tCurrent;
    }

    /**
     * 液位高限
     * @return t_max 液位高限
     */
    public BigDecimal gettMax() {
        return tMax;
    }

    /**
     * 液位高限
     * @param tMax 液位高限
     */
    public void settMax(BigDecimal tMax) {
        this.tMax = tMax;
    }

    /**
     * 液位底限
     * @return t_min 液位底限
     */
    public BigDecimal gettMin() {
        return tMin;
    }

    /**
     * 液位底限
     * @param tMin 液位底限
     */
    public void settMin(BigDecimal tMin) {
        this.tMin = tMin;
    }

    /**
     * 是否超限
     * @return if_limit 是否超限0否1是
     */
    public String getIfLimit() {
        return ifLimit;
    }

    /**
     * 是否超限
     * @param ifLimit 是否超限0否1是
     */
    public void setIfLimit(String ifLimit) {
        this.ifLimit = ifLimit == null ? null : ifLimit.trim();
    }

    /**
     * 源数据
     * @return data_source 源数据
     */
    public String getDataSource() {
        return dataSource;
    }

    /**
     * 源数据
     * @param dataSource 源数据
     */
    public void setDataSource(String dataSource) {
        this.dataSource = dataSource == null ? null : dataSource.trim();
    }

    /**
     * 备用字段1
     * @return spare1 备用字段1
     */
    public String getSpare1() {
        return spare1;
    }

    /**
     * 备用字段1
     * @param spare1 备用字段1
     */
    public void setSpare1(String spare1) {
        this.spare1 = spare1 == null ? null : spare1.trim();
    }

    /**
     * 备用字段2
     * @return spare2 备用字段2
     */
    public String getSpare2() {
        return spare2;
    }

    /**
     * 备用字段2
     * @param spare2 备用字段2
     */
    public void setSpare2(String spare2) {
        this.spare2 = spare2 == null ? null : spare2.trim();
    }

    /**
     * 
     * @return updatetime 
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 
     * @param updatetime 
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }
}