package com.chinaitop.depot.intelligent.levelDetection.service;

import java.util.Date;
import java.util.List;

import com.chinaitop.depot.intelligent.levelDetection.model.TLevel;
import com.chinaitop.depot.intelligent.weather.model.TWeatherhsitory;

public interface LevelService {
    List<TLevel> getList(String vCfCode, String vDatatime, String startTime, String endTime, String orgId);
    
    TLevel getById(String id);

    void save(String grainJson);

    int deleteById(String id,String leveljson);

    boolean getBycfCode(String vdevcode, String vdevname);

    List<TWeatherhsitory> getByCodeAndTimes(List<String> cDcsCodes, List<Date> cTimes);

    void insertBatch(List<TWeatherhsitory> tEnergyInfos);

    List<TLevel> getByCode(String cDcsCode);

    String synchronizationAll(String orgId);

    /**
     * 液位时实数据查询,只查询最新的一次检测数据
     * @param vCfCode
     * @return
     */
    List<TLevel> getLevelRealPageInfo(String vCfCode);
}
