package com.unissoft.webservice;

import javax.jws.WebParam;
import javax.jws.WebService;

import com.unissoft.model.ResponseEntity;

@WebService
public interface TLevelService {

	/**
     * 保存液位检测数据
     * 
     * @param levelData 液位检测信息
     * @return 返回session成功，error失败
     */
    public ResponseEntity uploadLevelData(@WebParam(name = "dataSource") String dataSource, @WebParam(name = "levelData") String levelData);
}
